Subject: bug#23809: 24.5; Positive argument to 'posn-at-point' throws erros as being negative

From: martin rudalics <[email-masked]>
Date: Wed, 22 Jun 2016 08:10:44 +0200

> I don't like sweeping problems under the carpet.  We should understand
 > how come we get negative pixel coordinates in these cases, it's most
 > likely some bug in pos_visible_p or somesuch.

A ‘condition-case’ would fix the problem on the release branch and give
you all the time to find the real cause.  Also, unless we guard against
‘posn-at-point’ ever returning a negative y-value, there's no guarantee
that finding the cause of the present problem will fix this issue once
and for all.

martin